Package opennlp.tools.util.normalizer

# Record Class UnicodeDash.DashCharacter

java.lang.Object
java.lang.Record
opennlp.tools.util.normalizer.UnicodeDash.DashCharacter

Record Components:
  `codePoint` - The Unicode code point.
  `name` - The Unicode character name, lower cased.
  `category` - The Unicode general `category`.

Enclosing class:
  `UnicodeDash`

public static record UnicodeDash.DashCharacter(int codePoint, String name, UnicodeDash.Category category) extends Record
One Unicode dash code point and its reference attributes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DashCharacter(int codePoint, String name, UnicodeDash.Category category)`
  Creates an instance of a `DashCharacter` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UnicodeDash.Category`
  `category()`
  Returns the value of the `category` record component.
  `int`
  `codePoint()`
  Returns the value of the `codePoint` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `isMathematical()`
  Returns whether this is a mathematical minus sign (category `Sm`).
  `boolean`
  `isSupplementary()`
  Returns whether this code point is outside the Basic Multilingual Plane.
  `String`
  `name()`
  Returns the value of the `name` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `toUnicodeNotation()`
  Returns the `U+XXXX` notation for this code point.

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DashCharacter

    public DashCharacter(int codePoint, String name, UnicodeDash.Category category)
    Creates an instance of a `DashCharacter` record class.
    Parameters:
      `codePoint` - the value for the `codePoint` record component
      `name` - the value for the `name` record component
      `category` - the value for the `category` record component

- ## Method Details

  - ### isMathematical

    public boolean isMathematical()
    Returns whether this is a mathematical minus sign (category `Sm`).
    Returns:
      whether this is a mathematical minus sign (category `Sm`)

  - ### isSupplementary

    public boolean isSupplementary()
    Returns whether this code point is outside the Basic Multilingual Plane.
    Returns:
      whether this code point is outside the Basic Multilingual Plane

  - ### toUnicodeNotation

    public String toUnicodeNotation()
    Returns the `U+XXXX` notation for this code point.
    Returns:
      the `U+XXXX` notation for this code point

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### codePoint

    public int codePoint()
    Returns the value of the `codePoint` record component.
    Returns:
      the value of the `codePoint` record component

  - ### name

    public String name()
    Returns the value of the `name` record component.
    Returns:
      the value of the `name` record component

  - ### category

    public UnicodeDash.Category category()
    Returns the value of the `category` record component.
    Returns:
      the value of the `category` record component